dpkg-scanpackages(1)

NAMN
dpkg-scanpackages - skapar indexfilerna Packages

SYNOPS
dpkg-scanpackages [flagga...] binärkatalog [överstyrningsfil [sökvägsprefix]] > Packages

BESKRIVNING
dpkg-scanpackages går genom ett träd av Debianbinärpaket och skapar en Packages-fil, som apt(8), dselect(8) osv. använder för att berätta för användaren vilka paket som kan installeras. Dessa Packages-filer är desamma som de som finns på Debianarkivspeglar och cd-rom:ar. Du kan använda dpkg-scanpackages själv för att skapa en katalog med lokala paket att installera på en klase maskiner.

Note: If you want to access the generated Packages file with apt you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt ignores uncompressed Packages files except on local access (i.e. file:// sources).

binärkatalog är namnet på trädet med binärpaketen som skall hanteras (till exempel contrib/binary-i386). Det är bäst att skapa den relativt till roten på Debianarkivet eftersom all filnamnsfält i den skapade Packages-filen kommer inledas med strängen.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

sökvägsprefix är en frivillig sträng som läggs till i början i filnamnsfältet.

Om mer än en version av ett paket upptäcks kommer endast den senaste att tas med i utdata. Om de har samma version och bara skiljer i arkitektur kommer bara den första som hittas att användas.

FLAGGOR

-t, --test typ
    Sök efter *.typ-paket, i stället för *.deb.

-e, --extra-override fil
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch arkitektur
    Använd ett mönster som består av *_all.deb och *_arkitektur.deb istället för att söka efter alla deb-arkiv.

-h, --hash hashlista
    Only generate file hashes for the comma-specified list specified (since dpkg 1.17.14). The default is to generate all currently supported hashes. Supported values: md5, sha1, sha256.

-m, --multiversion
    Ta med alla paket som hittas i utdata.

-M, --medium idsträng
    Add an X-Medium field containing the value id-string (since dpkg 1.15.5). This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

DIAGNOSTIK
dpkg-scanpackages skriver ut de vanliga självförklarande felen. Det varnar även om paket ligger i fel katalog har dubbletter, har ett Filename-fält i sin control-fil, saknas från överstyrningsfilen, eller har substitueringar utan effekt skrivna av paketansvariga.

SE ÄVEN
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.